Subject: bug#20660: closed (Re: bug#20660: 25.0.50; Window pops now issue "Args out of range" with popwin mode enabled)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Sep 2019 23:51:01 +0000

Your bug report

#20660: 25.0.50; Window pops now issue "Args out of range" with popwin mode enabled

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20660: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20660
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20660: 25.0.50; Window pops now issue "Args out of range" with popwin mode enabled
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Dmitry Gutov <[email-masked]>, [email-masked], Kaushal <[email-masked]>
Date: Mon, 30 Sep 2019 01:50:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Kaushal <[email-masked]>
>> Date: Thu, 11 Jun 2015 15:10:44 +0000
>>
>> Any hints on how I can debug this more?
>
> I'm not Dmitry, but I will give advice nonetheless.
>
> Try running Emacs under GDB, setting a breakpoint in the function
> named args_out_of_range.  When it breaks, the command "xbacktrace"
> (defined in src/.gdbinit) will display a Lisp-level backtrace, whuch
> might give you enough hints to find the culprit.  If not, the command
> "backtrace" will show a C-level backtrace; post it here if you cannot
> figure it out.
>
> If the breakpoint in args_out_of_range breaks too much in situations
> not related to your problem, you can make the breakpoint continue the
> execution automatically:
>
>   (gdb) break args_out_of_range
>   (gdb) commands
>     > xbacktrace
>     > continue
>     >end
>
> Then only look at the output of GDB when you see the problem
> happening.

This seems to be an error related to a third party package, and there
have been no further update in 4 years.  I'm therefore closing this
bug.  If this is indeed a bug in Emacs, please ropen.

Best regards,
Stefan Kangas

Subject: 25.0.50; Window pops now issue "Args out of range" with popwin mode enabled
From: Kaushal <[email-masked]>
To: "[email-masked]" <[email-masked]>, [email-masked]
Date: Tue, 26 May 2015 14:31:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

In GNU Emacs 25.0.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 2.10.4)
 of 2015-05-26 on ...
Windowing system distributor `The X.Org Foundation', version 11.0.60900000
System Description: Red Hat Enterprise Linux Client release 5.10 (Tikanga)

*Emacs
build: http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=45c92ddd99f5d3ceb520f9a27678bbedde83589b
<http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=45c92ddd99f5d3ceb520f9a27678bbedde83589b>*

Configured using:
 `configure --prefix=/home/kmodi/usr_local/apps/emacs/master
 CPPFLAGS=-fgnu89-inline'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE LIBOTF XFT ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

I started getting the "Args out of range" messages in the *Messages* buffer
after I built emacs using the latest master today. My previous build was
about a week back.

Only after this build, I started getting "Args out of range" every time I
use something like "C-h v" that uses the popwin-mode (
https://github.com/m2ym/popwin-el ).

I don't get these Args out of range messages if I do not load popwin; but
also these messages did not appear a week ago with popwin enabled.

I did not get any informative backtrace with

M-x debug-on-error

or

(setq debug-on-message "Args out of range")

Is this a bug or some change incompatible with popwin-mode?
Minor modes in effect:
  yas-minor-mode: t
  minibuffer-line-mode: t
  flyspell-mode: t
  guide-key-mode: t
  popwin-mode: t
  desktop-save-mode: t
  nlinum-mode: t
  pdf-occur-global-minor-mode: t
  global-anzu-mode: t
  anzu-mode: t
  recentf-mode: t
  winner-mode: t
  yafolding-mode: t
  wrap-region-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  rainbow-delimiters-mode: t
  projectile-global-mode: t
  projectile-mode: t
  global-page-break-lines-mode: t
  page-break-lines-mode: t
  keyfreq-autosave-mode: t
  keyfreq-mode: t
  diff-hl-mode: t
  diff-auto-refine-mode: t
  ido-ubiquitous-mode: t
  ido-vertical-mode: t
  flx-ido-mode: t
  ido-everywhere: t
  global-hungry-delete-mode: t
  hungry-delete-mode: t
  volatile-highlights-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  global-hardcore-mode: t
  hardcore-mode: t
  fci-mode: t
  elisp-slime-nav-mode: t
  drag-stuff-global-mode: t
  drag-stuff-mode: t
  aggressive-indent-mode: t
  ace-window-display-mode: t
  global-adaptive-wrap-prefix-mode: t
  adaptive-wrap-prefix-mode: t
  display-time-mode: t
  which-function-mode: t
  shell-dirtrack-mode: t
  outline-minor-mode: t
  ctags-auto-update-mode: t
  global-modi-mode: t
  modi-mode: t
  override-global-mode: t
  save-place-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  abbrev-mode: t

Recent messages:
Wrote /home/kmodi/.emacs.d/init.el
Searching for setup-popwin...
Mark set [2 times]
Indenting region...done
Saving file /home/kmodi/.emacs.d/setup-files/setup-popwin.el...
Wrote /home/kmodi/.emacs.d/setup-files/setup-popwin.el
t
 [2 times]
Args out of range: 812
Revert buffer from file /home/kmodi/.emacs.d/setup-files/setup-popwin.el?
(y or n) y